#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import difflib

def dodiff(before, after, diff):
    with open(before) as fb:
        with  open(after) as fa :
            with open(diff, 'w+') as fd:
                fd.writelines(difflib.unified_diff(fb.readlines(), fa.readlines(), fromfile="before", tofile="after"))

if __name__ == '__main__':
    '''
        450_before.txt and 450_after.txt differ in 12 lines: 13, 35, 51, 75, 89, 111, 127, 149, 165, 187, 203, 225
        
        450_diff_expected.txt gives expected result (using linux command diff -u)
        450_diff.txt gives result got by using this script:
        ./result.py 450_before.txt 450_after.txt 450_diff.txt
    '''

    args = sys.argv[1:]
    before, after, diff = args
    dodiff(before, after, diff)
